﻿## History of changes for WinPython-64bit 3.8.6.0cod



The following changes were made to WinPython-64bit distribution since version 3.8.5.0cod.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v12.18.3 → v14.14.0 (a JavaScript runtime built on Chrome's V8 JavaScript engine)

  * [npmjs](https://www.npmjs.com/) 6.14.6 → 6.14.8 (a package manager for JavaScript)

  * [VSCode](https://code.visualstudio.com/) 1.48.0.0 → 1.50.0.0 (source-code editor developed by Microsoft)



### Python packages



New packages:



  * [fastapi](https://pypi.org/project/fastapi) 0.61.1 (FastAPI framework, high performance, easy to learn, fast to code, ready for production)

  * [httpcore](https://pypi.org/project/httpcore) 0.12.0 (A minimal low-level HTTP client.)

  * [httpx](https://pypi.org/project/httpx) 0.16.1 (The next generation HTTP client.)

  * [pydantic](https://pypi.org/project/pydantic) 1.6.1 (Data validation and settings management using python 3.6 type hinting)

  * [pyqt5_tools](https://pypi.org/project/pyqt5_tools) 5.15.1.1.7.5 (Tools to supplement the official PyQt5 wheels)

  * [scramp](https://pypi.org/project/scramp) 1.2.0 (An implementation of the SCRAM protocol.)

  * [slicer](https://pypi.org/project/slicer) 0.0.4 (A small package for big slicing.)

  * [starlette](https://pypi.org/project/starlette) 0.13.6 (The little ASGI library that shines.)

  * [ujson](https://pypi.org/project/ujson) 4.0.1 (Ultra fast JSON encoder and decoder for Python)

  * [winrt](https://pypi.org/project/winrt) 1.0.20239.1 (Access Windows Runtime APIs from Python)



Upgraded packages:



  * [aiohttp](https://pypi.org/project/aiohttp) 3.6.2 → 3.7.1 (Async http client/server framework (asyncio))

  * [amply](https://pypi.org/project/amply) 0.1.2 → 0.1.4 (Amply allows you to load and manipulate AMPL/GLPK data as Python data structures)

  * [asteval](https://pypi.org/project/asteval) 0.9.18 → 0.9.19 (Safe, minimalistic evaluator of python expression using ast module)

  * [astropy](https://pypi.org/project/astropy) 4.0.1 → 4.0.3 (Community-developed python astronomy tools)

  * [attrs](https://pypi.org/project/attrs) 19.3.0 → 20.2.0 (Classes Without Boilerplate)

  * [beautifulsoup4](https://pypi.org/project/beautifulsoup4) 4.9.1 → 4.9.3 (Screen-scraping library)

  * [black](https://pypi.org/project/black) 19.10b0 → 20.8b1 (The uncompromising code formatter.)

  * [bleach](https://pypi.org/project/bleach) 3.1.5 → 3.2.1 (An easy safelist-based HTML-sanitizing tool.)

  * [blosc](https://pypi.org/project/blosc) 1.9.1 → 1.9.2 (Blosc data compressor)

  * [bokeh](https://pypi.org/project/bokeh) 2.1.1 → 2.2.3 (Interactive plots and applications in the browser from Python)

  * [bqplot](https://pypi.org/project/bqplot) 0.12.15 → 0.12.18 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [brotli](https://pypi.org/project/brotli) 1.0.7 → 1.0.9 (Python bindings for the Brotli compression library)

  * [cffi](https://pypi.org/project/cffi) 1.14.1 → 1.14.3 (Foreign Function Interface for Python calling C code.)

  * [cligj](https://pypi.org/project/cligj) 0.5.0 → 0.7.0 (Click params for commmand line interfaces to GeoJSON)

  * [cloudpickle](https://pypi.org/project/cloudpickle) 1.5.0 → 1.6.0 (Extended pickling support for Python objects)

  * [colorama](https://pypi.org/project/colorama) 0.4.3 → 0.4.4 (Cross-platform colored terminal text.)

  * [cryptography](https://pypi.org/project/cryptography) 3.0 → 3.2 (cryptography is a package which provides cryptographic recipes and primitives to Python developers.)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.1.3 → 1.1.7 (A domain-specific language for modeling convex optimization problems in Python.)

  * [cx_freeze](https://pypi.org/project/cx_freeze) 6.2 → 6.3 (create standalone executables from Python scripts)

  * [cytoolz](https://pypi.org/project/cytoolz) 0.10.1 → 0.11.0 (Cython implementation of Toolz: High performance functional utilities)

  * [dask](https://pypi.org/project/dask) 2.23.0 → 2.30.0 (Parallel PyData with Task Scheduling)

  * [dask_ml](https://pypi.org/project/dask_ml) 1.6.0 → 1.7.0 (A library for distributed and parallel machine learning)

  * [databases](https://pypi.org/project/databases) 0.3.2 → 0.4.0 (Async database support for Python.)

  * [datasette](https://pypi.org/project/datasette) 0.47.2 → 0.50.2 (A tool for exploring and publishing data)

  * [datashader](https://pypi.org/project/datashader) 0.11.0 → 0.11.1 (Data visualization toolchain based on aggregating into a grid)

  * [db.py](https://pypi.org/project/db.py) 0.5.3 → 0.5.4b1 (a db package that doesn't suck)

  * [distributed](https://pypi.org/project/distributed) 2.23.0 → 2.30.0 (Distributed scheduler for Dask)

  * [fiona](https://pypi.org/project/fiona) 1.8.13 → 1.8.17 (Fiona reads and writes spatial data files)

  * [flake8](https://pypi.org/project/flake8) 3.8.3 → 3.8.4 (the modular source code checker: pep8, pyflakes and co)

  * [flask_accepts](https://pypi.org/project/flask_accepts) 0.17.3 → 0.17.4 (Easy, opinionated Flask input/output handling with Flask-restx and Marshmallow)

  * [fsspec](https://pypi.org/project/fsspec) 0.8.0 → 0.8.4 (File-system specification)

  * [gdal](https://pypi.org/project/gdal) 3.1.2 → 3.1.4 (GDAL: Geospatial Data Abstraction Library)

  * [greenlet](https://pypi.org/project/greenlet) 0.4.16 → 0.4.17 (Lightweight in-process concurrent programming)

  * [guidata](https://pypi.org/project/guidata) 1.7.8 → 1.7.9 (Automatic graphical user interfaces generation for easy dataset editing and display)

  * [guiqwt](https://pypi.org/project/guiqwt) 3.0.4 → 3.0.5 (guiqwt is a set of tools for curve and image plotting (extension to PythonQwt))

  * [h11](https://pypi.org/project/h11) 0.9.0 → 0.11.0 (A pure-Python, bring-your-own-I/O implementation of HTTP/1.1)

  * [h2](https://pypi.org/project/h2) 3.2.0 → 4.0.0 (HTTP/2 State-Machine based protocol implementation)

  * [holoviews](https://pypi.org/project/holoviews) 1.13.3 → 1.13.5 (Stop plotting your data - annotate your data and let it visualize itself.)

  * [hpack](https://pypi.org/project/hpack) 3.0.0 → 4.0.0 (Pure-Python HPACK header compression)

  * [hypercorn](https://pypi.org/project/hypercorn) 0.10.2 → 0.11.1 (A ASGI Server based on Hyper libraries and inspired by Gunicorn.)

  * [hyperframe](https://pypi.org/project/hyperframe) 5.2.0 → 6.0.0 (HTTP/2 framing layer for Python)

  * [hypothesis](https://pypi.org/project/hypothesis) 5.24.3 → 5.37.4 (A library for property-based testing)

  * [importlib_metadata](https://pypi.org/project/importlib_metadata) 1.7.0 → 2.0.0 (Read metadata from Python packages)

  * [iniconfig](https://pypi.org/project/iniconfig) 1.0.1 → 1.1.1 (iniconfig: brain-dead simple config-ini parsing)

  * [ipympl](https://pypi.org/project/ipympl) 0.5.7 → 0.5.8 (Matplotlib Jupyter Extension)

  * [ipython](https://pypi.org/project/ipython) 7.17.0 → 7.18.1 (IPython: Productive Interactive Computing)

  * [ipython_sql](https://pypi.org/project/ipython_sql) 0.4.0 → 0.4.1b1 (RDBMS access via IPython)

  * [isort](https://pypi.org/project/isort) 4.3.21 → 5.6.4 (A Python utility / library to sort Python imports.)

  * [joblib](https://pypi.org/project/joblib) 0.16.0 → 0.17.0 (Lightweight pipelining: using Python functions as pipeline jobs.)

  * [julia](https://pypi.org/project/julia) 0.5.4 → 0.5.6 (Julia/Python bridge with IPython support.)

  * [jupyter_client](https://pypi.org/project/jupyter_client) 6.1.6 → 6.1.7 (Jupyter protocol implementation and client libraries)

  * [jupyter_console](https://pypi.org/project/jupyter_console) 6.1.0 → 6.2.0 (Jupyter terminal console)

  * [jupyter_server](https://pypi.org/project/jupyter_server) 0.1.1 → 1.0.5 (The Jupyter Server)

  * [jupyter_sphinx](https://pypi.org/project/jupyter_sphinx) 0.2.4 → 0.3.2 (Jupyter Sphinx Extensions)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 2.2.4 → 2.2.9 (The JupyterLab notebook server extension.)

  * [jupyterlab_pygments](https://pypi.org/project/jupyterlab_pygments) 0.1.1 → 0.1.2 (Pygments theme)

  * [keyring](https://pypi.org/project/keyring) 21.3.0 → 21.4.0 (Store and access your passwords safely.)

  * [loky](https://pypi.org/project/loky) 2.8.0 → 2.9.0 (A robust implementation of concurrent.futures.ProcessPoolExecutor)

  * [lxml](https://pypi.org/project/lxml) 4.5.2 → 4.6.1 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [markdown](https://pypi.org/project/markdown) 3.2.2 → 3.3.2 (Python implementation of Markdown.)

  * [marshmallow](https://pypi.org/project/marshmallow) 3.7.1 → 3.8.0 (A lightweight library for converting complex datatypes to and from native Python datatypes.)

  * [matplotlib](https://pypi.org/project/matplotlib) 3.3.1 → 3.3.2 (Python plotting package)

  * [mercantile](https://pypi.org/project/mercantile) 1.1.5 → 1.1.6 (Web mercator XYZ tile utilities)

  * [metakernel](https://pypi.org/project/metakernel) 0.24.4 → 0.27.0 (Metakernel for Jupyter)

  * [msvc_runtime](https://pypi.org/project/msvc_runtime) 14.27.29016 → 14.27.29016.1 (Install the Microsoft&#8482; Visual C++&#8482; runtime DLLs to the sys.prefix and Scripts directories)

  * [multidict](https://pypi.org/project/multidict) 4.7.6 → 5.0.0 (multidict implementation)

  * [mypy](https://pypi.org/project/mypy) 0.782 → 0.790 (Optional static typing for Python)

  * [nbclient](https://pypi.org/project/nbclient) 0.4.1 → 0.5.1 (A client library for executing notebooks. Formally nbconvert's ExecutePreprocessor.)

  * [nbconvert](https://pypi.org/project/nbconvert) 5.6.1 → 6.0.7 (Converting Jupyter Notebooks)

  * [nbformat](https://pypi.org/project/nbformat) 5.0.7 → 5.0.8 (The Jupyter Notebook format)

  * [nest_asyncio](https://pypi.org/project/nest_asyncio) 1.4.0 → 1.4.2 (Patch asyncio to allow nested event loops)

  * [networkx](https://pypi.org/project/networkx) 2.4 → 2.5 (Python package for creating and manipulating graphs and networks)

  * [notebook](https://pypi.org/project/notebook) 6.1.3 → 6.1.4 (A web-based notebook environment for interactive computing)

  * [numba](https://pypi.org/project/numba) 0.51.0 → 0.51.2 (compiling Python code using LLVM)

  * [numcodecs](https://pypi.org/project/numcodecs) 0.6.4 → 0.7.2 (A Python package providing buffer compression and transformation codecs for use in data storage and communication applications.)

  * [numexpr](https://pypi.org/project/numexpr) 2.7.1 → 2.7.2 (Fast numerical expression evaluator for NumPy)

  * [numpy](https://pypi.org/project/numpy) 1.19.1+mkl → 1.19.2+mkl (NumPy is the fundamental package for array computing with Python.)

  * [pandas](https://pypi.org/project/pandas) 1.1.0 → 1.1.3 (Powerful data structures for data analysis, time series, and statistics)

  * [pandocfilters](https://pypi.org/project/pandocfilters) 1.4.2 → 1.4.3 (Utilities for writing pandoc filters in python)

  * [panel](https://pypi.org/project/panel) 0.9.7 → 0.10.1 (A high level app and dashboarding solution for Python.)

  * [papermill](https://pypi.org/project/papermill) 2.1.2 → 2.2.0 (Parametrize and run Jupyter and nteract Notebooks)

  * [param](https://pypi.org/project/param) 1.9.3 → 1.10.0 (Declarative Python programming using Parameters.)

  * [paramiko](https://pypi.org/project/paramiko) 2.7.1 → 2.7.2 (SSH2 protocol library)

  * [pg8000](https://pypi.org/project/pg8000) 1.13.1 → 1.16.5 (PostgreSQL interface library)

  * [pillow](https://pypi.org/project/pillow) 7.2.0 → 8.0.1 (Python Imaging Library (Fork))

  * [pint](https://pypi.org/project/pint) 0.14 → 0.16.1 (Physical quantities module)

  * [pip](https://pypi.org/project/pip) 20.2.2 → 20.2.4 (The PyPA recommended tool for installing Python packages.)

  * [pkginfo](https://pypi.org/project/pkginfo) 1.5.0.1 → 1.6.0 (Query metadatdata from sdists / bdists / installed packages.)

  * [plotly](https://pypi.org/project/plotly) 4.9.0 → 4.12.0 (An open-source, interactive graphing library for Python)

  * [prettytable](https://pypi.org/project/prettytable) 0.7.2 → 1.0.1 (A simple Python library for easily displaying tabular data in a visually appealing ASCII table format.)

  * [prompt_toolkit](https://pypi.org/project/prompt_toolkit) 3.0.6 → 3.0.8 (Library for building powerful interactive command lines in Python)

  * [psutil](https://pypi.org/project/psutil) 5.7.2 → 5.7.3 (Cross-platform lib for process and system monitoring in Python.)

  * [ptpython](https://pypi.org/project/ptpython) 3.0.5 → 3.0.7 (Python REPL build on top of prompt_toolkit)

  * [pyarrow](https://pypi.org/project/pyarrow) 1.0.0 → 2.0.0 (Python library for Apache Arrow)

  * [pybind11](https://pypi.org/project/pybind11) 2.5.0 → 2.6.0 (Seamless operability between C++11 and Python)

  * [pydeck](https://pypi.org/project/pydeck) 0.4.0 → 0.5.0 (Widget for deck.gl maps)

  * [pydocstyle](https://pypi.org/project/pydocstyle) 4.0.1 → 5.1.1 (Python docstring style checker)

  * [pygments](https://pypi.org/project/pygments) 2.6.1 → 2.7.2 (Pygments is a syntax highlighting package written in Python.)

  * [pylint](https://pypi.org/project/pylint) 2.5.3 → 2.6.0 (python code static checker)

  * [pyqt5](https://pypi.org/project/pyqt5) 5.15.0 → 5.15.1 (Python bindings for the Qt cross platform application toolkit)

  * [pyqt5_sip](https://pypi.org/project/pyqt5_sip) 12.8.0 → 12.8.1 (The sip module support for PyQt5)

  * [pyqtwebengine](https://pypi.org/project/pyqtwebengine) 5.15.0 → 5.15.1 (Python bindings for the Qt WebEngine framework)

  * [pyrsistent](https://pypi.org/project/pyrsistent) 0.16.0 → 0.17.3 (Persistent/Functional/Immutable data structures)

  * [pyshp](https://pypi.org/project/pyshp) 2.1.0 → 2.1.2 (Pure Python read/write support for ESRI Shapefile format)

  * [pytest](https://pypi.org/project/pytest) 6.0.1 → 6.1.1 (pytest: simple powerful testing with Python)

  * [Python](http://www.python.org/) 3.8.5 → 3.8.6 (Python programming language with standard library)

  * [python_jsonrpc_server](https://pypi.org/project/python_jsonrpc_server) 0.3.4 → 0.4.0 (JSON RPC 2.0 server library)

  * [python_language_server](https://pypi.org/project/python_language_server) 0.34.1 → 0.35.1 (Python Language Server for the Language Server Protocol)

  * [pythonqwt](https://pypi.org/project/pythonqwt) 0.6.2 → 0.8.3 (Qt plotting widgets for Python)

  * [pyzo](https://pypi.org/project/pyzo) 4.10.2 → 4.11.0 (the Python IDE for scientific computing)

  * [qtawesome](https://pypi.org/project/qtawesome) 0.7.2 → 1.0.1 (FontAwesome icons in PyQt and PySide applications)

  * [qtconsole](https://pypi.org/project/qtconsole) 4.7.5 → 4.7.7 (Jupyter Qt console)

  * [quart](https://pypi.org/project/quart) 0.13.0 → 0.13.1 (A Python ASGI web microframework with the same API as Flask)

  * [rasterio](https://pypi.org/project/rasterio) 1.1.5 → 1.1.8 (Fast and direct raster I/O for use with Numpy and SciPy)

  * [readme_renderer](https://pypi.org/project/readme_renderer) 26.0 → 28.0 (readme_renderer is a library for rendering "readme" descriptions for Warehouse)

  * [regex](https://pypi.org/project/regex) 2020.7.14 → 2020.10.23 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.5.47 → 3.5.53 (The Reportlab Toolkit)

  * [rise](https://pypi.org/project/rise) 5.6.1 → 5.7.0 (Reveal.js - Jupyter/IPython Slideshow Extension)

  * [rope](https://pypi.org/project/rope) 0.17.0 → 0.18.0 (a python refactoring library...)

  * [ruamel.yaml](https://pypi.org/project/ruamel.yaml) 0.16.10 → 0.16.12 (a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order)

  * [ruamel.yaml.clib](https://pypi.org/project/ruamel.yaml.clib) 0.2.0 → 0.2.2 (C version of reader, parser and emitter for ruamel.yaml derived from libyaml)

  * [scikit_optimize](https://pypi.org/project/scikit_optimize) 0.7.4 → 0.8.1 (Sequential model-based optimization toolbox.)

  * [scipy](https://pypi.org/project/scipy) 1.5.2 → 1.5.3 (SciPy: Scientific Library for Python)

  * [seaborn](https://pypi.org/project/seaborn) 0.10.1 → 0.11.0 (seaborn: statistical data visualization)

  * [setuptools](https://pypi.org/project/setuptools) 49.6.0 → 50.3.2 (Easily download, build, install, upgrade, and uninstall Python packages)

  * [shap](https://pypi.org/project/shap) 0.35.0 → 0.36.0 (A unified approach to explain the output of any machine learning model.)

  * [shapely](https://pypi.org/project/shapely) 1.7.0 → 1.7.1 (Geometric objects, predicates, and operations)

  * [sniffio](https://pypi.org/project/sniffio) 1.1.0 → 1.2.0 (Sniff out which async library your code is running under)

  * [sounddevice](https://pypi.org/project/sounddevice) 0.4.0 → 0.4.1 (Play and Record Sound with Python)

  * [spyder](https://pypi.org/project/spyder) 4.1.4 → 4.1.5 (The Scientific Python Development Environment)

  * [spyder_kernels](https://pypi.org/project/spyder_kernels) 1.9.3 → 1.9.4 (Jupyter kernels for Spyder's console)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.3.18 → 1.3.20 (Database Abstraction Library)

  * [sqlparse](https://pypi.org/project/sqlparse) 0.3.1 → 0.4.1 (Non-validating SQL parser)

  * [statsmodels](https://pypi.org/project/statsmodels) 0.11.1 → 0.12.0 (Statistical computations and models for Python)

  * [streamz](https://pypi.org/project/streamz) 0.5.4 → 0.5.6 (Streams)

  * [terminado](https://pypi.org/project/terminado) 0.8.3 → 0.9.1 (Terminals served to xterm.js using Tornado websockets)

  * [tifffile](https://pypi.org/project/tifffile) 2020.8.13 → 2020.10.1 (Read and write TIFF(r) files)

  * [toolz](https://pypi.org/project/toolz) 0.10.0 → 0.11.1 (List processing tools and functional utilities)

  * [tqdm](https://pypi.org/project/tqdm) 4.48.0 → 4.50.2 (Fast, Extensible Progress Meter)

  * [traitlets](https://pypi.org/project/traitlets) 4.3.3 → 5.0.5 (Traitlets Python config system)

  * [trio](https://pypi.org/project/trio) 0.16.0 → 0.17.0 (A friendly Python library for async concurrency and I/O)

  * [typing_extensions](https://pypi.org/project/typing_extensions) 3.7.4.2 → 3.7.4.3 (Backported and Experimental Type Hints for Python 3.5+)

  * [urllib3](https://pypi.org/project/urllib3) 1.25.10 → 1.25.11 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [uvicorn](https://pypi.org/project/uvicorn) 0.11.8 → 0.12.2 (The lightning-fast ASGI server.)

  * [virtualenv](https://pypi.org/project/virtualenv) 20.0.30 → 20.1.0 (Virtual Python Environment builder)

  * [voila](https://pypi.org/project/voila) 0.1.21 → 0.2.4 (Serving read-only live Jupyter notebooks)

  * [winpython](http://winpython.github.io/) 3.0.20200808 → 3.0.20201028 (WinPython distribution tools, including WPPM)

  * [xarray](https://pypi.org/project/xarray) 0.16.0 → 0.16.1 (N-D labeled arrays and datasets in Python)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 1.3.3 → 1.3.7 (A Python module for creating Excel XLSX files.)

  * [xlwings](https://pypi.org/project/xlwings) 0.20.2 → 0.20.8 (Make Excel fly: Interact with Excel from Python and vice versa.)

  * [yarl](https://pypi.org/project/yarl) 1.5.1 → 1.6.2 (Yet another URL library)

  * [zarr](https://pypi.org/project/zarr) 2.4.0 → 2.5.0 (An implementation of chunked, compressed, N-dimensional arrays for Python.)

  * [zipp](https://pypi.org/project/zipp) 3.1.0 → 3.3.2 (Backport of pathlib-compatible object wrapper for zip files)



Removed packages:



  * [bcolz](https://pypi.org/project/bcolz) 1.2.1 (columnar and compressed data containers.)

  * [ipyparallel](https://pypi.org/project/ipyparallel) 6.3.0 (Interactive Parallel Computing with IPython)

  * [more_itertools](https://pypi.org/project/more_itertools) 8.4.0 (More routines for operating on iterables, beyond itertools)

  * [passlib](https://pypi.org/project/passlib) 1.7.1 (comprehensive password hashing framework supporting over 30 schemes)

  * [websockets](https://pypi.org/project/websockets) 8.1 (An implementation of the WebSocket Protocol (RFC 6455 & 7692))



* * *

